---
title: "Get Control Account by ID"
slug: "get-control-account-by-id"
updated: 2026-02-25T13:56:58Z
published: 2026-02-25T13:57:17Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wasabi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Control Account by ID

Get/v1/control-accounts/{controlAccountId}

Read a specific Control Account by ID.

SecurityHTTPType basic

HTTP Basic Authentication using your WACM username and API key.

For detailed authentication instructions, see the [Authentication Guide](https://docs.wasabi.com/apidocs/wacm-connect-api-authentication).

Path parameterscontrolAccountIdintegerRequired

Control Account ID

Query parametersincludeDeletedSubAccountsboolean

Include deleted sub-accounts

Responses200

Successfully retrieved Control Account

<select class='api-response-data' aria-label='Media type'><option value='9433460d-4473-43a6-af87-85e13a0c7b05'>application/json</option>
</select>

```json
{
  "success": "True",
  "data": {
    "id": "13337",
    "name": "Sample Control Account",
    "partnerType": "RESELLER",
    "accountType": "Company",
    "status": "Active",
    "imageUrl": "",
    "creationDate": "2023-01-15T10:30:00Z",
    "address1": "123 Main St",
    "address2": "",
    "country": "United States",
    "city": "Boston",
    "state": "Massachusetts",
    "zip": "02101",
    "mainPhone": "555-0100",
    "billingPhone": "",
    "contactEmail": "contact@example.com",
    "billingEmail": "billing@example.com",
    "businessNumber": "",
    "taxId": "",
    "fiscalNumber": "",
    "vatNumber": "",
    "website": "https://example.com",
    "ssoEnabled": "False",
    "storageQuotaType": "Hard Quota",
    "governanceAccountId": "3214",
    "governanceAccountName": "Sample Governance",
    "channelAccountsCount": "5",
    "subAccountsCount": "25",
    "controlAccountEmail": "control@example.com",
    "primaryApiKey": "AKIAIOSFODNN7EXAMPLE",
    "secondaryApiKey": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY",
    "subAccountStorage": "1.62126952",
    "controlAccountStorage": "0.00690326",
    "totalStorage": "1.62817278",
    "defaultPurchasedStorageTB": "10.0"
  }
}
```

Expand Allobject  successboolean    
dataobject (ControlAccountResponse)  idinteger    
namestring    
partnerTypestring    
accountTypestring    
statusstring    
imageUrlstring   | null  
creationDatestring  (date-time)    
address1string   | null  
address2string   | null  
countrystring   | null  
citystring   | null  
statestring   | null  
zipstring   | null  
mainPhonestring   | null  
billingPhonestring   | null  
contactEmailstring    
billingEmailstring    
businessNumberstring   | null  
taxIdstring    
fiscalNumberstring   | null  
vatNumberstring   | null  
websitestring   | null  
ssoEnabledboolean    
storageQuotaTypestring    
governanceAccountIdinteger    
governanceAccountNamestring    
channelAccountsCountinteger    
subAccountsCountinteger    
controlAccountEmailstring    
primaryApiKeystring    
secondaryApiKeystring    
subAccountStoragenumber    
controlAccountStoragenumber    
totalStoragenumber    
defaultPurchasedStorageTBnumber
